DBServiceImpl (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class DBServiceImpl

    java.lang.Object
      fr.inrialpes.exmo.align.service.DBServiceImpl

All Implemented Interfaces:
  DBService

    public class DBServiceImpl

extends Object
implements DBService

Field Summary
`(package private) CacheImpl` | `cache`
`(package private) Connection` | `conn`
`(package private) static String` | `database`
`(package private) static String` | `dbpass`
`(package private) String` | `driverPrefix`
`(package private) int` | `id`
`(package private) static String` | `IPAddress`
`(package private) static String` | `port`
`(package private) static String` | `user`

Constructor Summary
`DBServiceImpl()`
`DBServiceImpl(String driver, String prefix, String DBPort)`

Method Summary
`void` | `close()`
`void` | `connect(String password)`
`void` | `connect(String user, String password)`
`void` | `connect(String port, String user, String password)`
`void` | `connect(String IPAddress, String port, String user, String password)`
`void` | `connect(String IPAddress, String port, String user, String password, String database)`
`Connection` | `getConnection()`
`void` | `init()`
`Connection` | `reconnect()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    int id

### conn

    Connection conn

### IPAddress

    static String IPAddress

### port

    static String port

### user

    static String user

### database

    static String database

### dbpass

    static String dbpass

### driverPrefix

    String driverPrefix

### cache

    CacheImpl cache

Constructor Detail

### DBServiceImpl

    public DBServiceImpl()
                  throws ClassNotFoundException,
                         InstantiationException,
                         IllegalAccessException

Throws:
  `ClassNotFoundException`
  `InstantiationException`
  `IllegalAccessException`

### DBServiceImpl

    public DBServiceImpl(String driver,
                         String prefix,
                         String DBPort)
                  throws ClassNotFoundException,
                         InstantiationException,
                         IllegalAccessException

Throws:
  `ClassNotFoundException`
  `InstantiationException`
  `IllegalAccessException`

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `DBService`

### connect

    public void connect(String password)
                 throws SQLException

  Specified by:
    `connect` in interface `DBService`
  Throws:
    `SQLException`

### connect

    public void connect(String user,
                        String password)
                 throws SQLException

  Specified by:
    `connect` in interface `DBService`
  Throws:
    `SQLException`

### connect

    public void connect(String port,
                        String user,
                        String password)
                 throws SQLException

  Specified by:
    `connect` in interface `DBService`
  Throws:
    `SQLException`

### connect

    public void connect(String IPAddress,
                        String port,
                        String user,
                        String password)
                 throws SQLException

  Specified by:
    `connect` in interface `DBService`
  Throws:
    `SQLException`

### connect

    public void connect(String IPAddress,
                        String port,
                        String user,
                        String password,
                        String database)
                 throws SQLException

  Specified by:
    `connect` in interface `DBService`
  Throws:
    `SQLException`

### reconnect

    public Connection reconnect()
                         throws SQLException

  Specified by:
    `reconnect` in interface `DBService`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DBService`
  Throws:
    `SQLException`

### close

    public void close()

  Specified by:
    `close` in interface `DBService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010